Reply

The holes is not created correctly

[ Edited ]

 

Hi, any body can help me ? Thanks!

 If the holes count >1, the holes feature is not valid, and it will be ok after I edit the holes feature’s profile, just enter the profile environment, do nothing, and return, the holes feature will be ok. Could you help me to get a sample in assembly document, which can be write in any language, c#, c++ or vb is ok. Thanks!

 

BTW, the reference plane and the layout are global, how to change them to local in assembly? I read the sdk, there’s no detail description.

faces=Array.CreateInstance(typeof(SolidEdgeGeometry.Face),2); //faces is an Array refPrimface = asmdoc.CreateReference(primoccur, (object)face) as SolidEdgeFramework.Reference; //refPrimface is a reference in assembly document, and the primoccur and face is selected by mouse. edge.GetFaces(out facenumber, ref faces); //edge is selected by mouse, and the facenumber is an Array too. for (int i = 0; i (); y += ecc.GetH2();// Get the holes2d y coordinate, ecc is a class, including hole’s data, etc. //holespacelist is a class, stored hole’s space data // create holes2d on profile and add the profile to the profiles list. for (int i = 0; i

 

Posted by: assassin 007
Post date: 6/23/2009 4:37:25 PM

1 REPLY

RE: The holes is not created correctly

[ Edited ]

Assasin,

You cannot create a hole feature with several profiles, you must create a UserDefinedPattern which is internally what you generate when opening and closing the profile by hand without notice.

See UserDefinedPattern in the SDK help.

What i don't know is if UserDefinedPattern is exposed inside AssemblyFeatures collection in the SDK... If not i think you will have to create independent asm holes.

HTH

Julian

 

Posted by: Julian Guillo
Post date: 7/7/2009 8:25:40 AM